Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031451
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2015-11-12 12:532015-12-09 16:27
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision425220984e4e
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031451: Error should not be logged in case we throw an OBException with logException parameter as false

DescriptionIn case we throw an OBException from an Event Handler calling OBException(String message, Throwable cause, boolean logException) method with logException parameter as false, error will be raised in the log by DefaultDataSourceService.update method (line 833), while it should not.
Steps To Reproduce- In FIN_FinaccTransactionEventListener class, validateTransactionType method, line 82, change the following line:
  throw new OBException("@APRM_INVALID_TRANSACTION@");
into this one:
  throw new OBException("@APRM_INVALID_TRANSACTION@", null, false);

As F&B Admin:

- Select Cuenta de Banco Financial Account
  Create a new record in Transaction tab, but do not change any field.
  Click on Save button.
  Realize @APRM_INVALID_TRANSACTION@ error is shown in the log, although you have thrown it with logException as false: org.openbravo.base.exception.OBException: @APRM_INVALID_TRANSACTION@
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031674 closedalostale Openbravo ERP too verbose log for invalid login attempt 
blocks design defect 0031452 closedaferraz Openbravo ERP Controlled exceptions should not be logged in error mode 
blocks defect 0036191 closedcollazoandy4 Modules Functional validations in REM_RemittanceProcess are logged as exceptions in the log 

-  Notes
(0081758)
hgbot (developer)
2015-11-12 14:36

Repository: erp/devel/pi
Changeset: 425220984e4ed06edc7f21c3963f617c3aee2a0c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Nov 12 13:02:15 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/425220984e4ed06edc7f21c3963f617c3aee2a0c [^]

Fixes issue 31451: OBException logged when it should not

DefaultJsonDataService will check if it is needed to log localThrowable exception, in case it is an OBException.
New method added in OBException to allow throw exceptions without throwable cause and without log them.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M src/org/openbravo/base/exception/OBException.java
---
(0081888)
alostale (developer)
2015-11-16 14:39

code reviewed
(0082210)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-12 12:53 aferraz New Issue
2015-11-12 12:53 aferraz Assigned To => aferraz
2015-11-12 12:53 aferraz Modules => Core
2015-11-12 12:53 aferraz Triggers an Emergency Pack => No
2015-11-12 12:54 aferraz Status new => scheduled
2015-11-12 12:54 aferraz Review Assigned To => alostale
2015-11-12 14:36 hgbot Checkin
2015-11-12 14:36 hgbot Note Added: 0081758
2015-11-12 14:36 hgbot Status scheduled => resolved
2015-11-12 14:36 hgbot Resolution open => fixed
2015-11-12 14:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/425220984e4ed06edc7f21c3963f617c3aee2a0c [^]
2015-11-12 14:43 aferraz Relationship added blocks 0031452
2015-11-16 14:39 alostale Note Added: 0081888
2015-11-16 14:39 alostale Status resolved => closed
2015-11-16 14:39 alostale Fixed in Version => 3.0PR16Q1
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082210
2015-12-09 16:27 alostale Relationship added related to 0031674
2017-06-14 16:58 aferraz Relationship added blocks 0036191


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker